> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contracts by employee



## OpenAPI

````yaml GET /contract/v1/contracts/{employeeId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /contract/v1/contracts/{employeeId}:
    get:
      tags:
        - Contracts
      summary: Get contracts by employee
      operationId: getContractsEmployee
      parameters:
        - in: path
          name: employeeId
          description: Employee ID
          required: true
          schema:
            type: string
            format: uuid
        - in: query
          name: limit
          description: Limit results
          schema:
            type: integer
        - in: query
          name: page
          description: Request a specific page
          schema:
            type: integer
      responses:
        '200':
          description: Array of Objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: c6bd9090-06ec-48e5-a3bc-22181cf0a6c9
                          format: uuid
                        startAt:
                          type: string
                          format: date
                          example: '2021-12-13'
                        endAt:
                          type: string
                          format: date
                          example: '2022-12-13'
                        startDate:
                          deprecated: true
                          description: deprecated, use startAt instead
                          type: string
                          format: date
                          example: '2021-12-13'
                        endDate:
                          deprecated: true
                          description: deprecated, use endAt instead
                          type: string
                          format: date
                          example: '2022-12-13'
                        comment:
                          type: string
                          example: ''
                        code:
                          type: string
                          example: ''
                        jobChargeId:
                          type: string
                          example: c6bd9090-06ec-48e5-a3bc-22181cf0a6c9
                          format: uuid
                        jobChargeName:
                          type: string
                          example: the name of the job charge
                        contractTypeId:
                          type: string
                          format: uuid
                          description: The ID of the contract type
                        contractTypeName:
                          type: string
                          description: The name of the contract type
                        agreementId:
                          type: string
                          format: uuid
                          description: The ID of the agreement
                        agreementName:
                          type: string
                          description: The name of the agreement
                        degreeId:
                          type: string
                          format: uuid
                          description: The ID of the degree
                        degreeName:
                          type: string
                          description: The name of the degree
                        workDayTypeId:
                          type: string
                          format: uuid
                          description: The ID of the work type
                        workDayTypeName:
                          type: string
                          description: The name of the work type
                        socialSecurityNumber:
                          type: string
                          description: The social security number
                        trialPeriodType:
                          type: string
                          description: The type of the trial period
                        trialPeriodQuantity:
                          type: integer
                          description: The quantity of the trial period
                        seniorityDate:
                          type: string
                          format: date
                          example: '2022-12-13'
                        percentageWorkDay:
                          type: number
                          description: The quantity of the percentage work day
                        weeklyHours:
                          type: number
                          description: The quantity of the weekly hours
                        cbo:
                          type: string
                          example: ''
                        remoteWork:
                          type: boolean
                        jobLevelId:
                          type: string
                          format: uuid
                          description: The ID of the job level
                        jobLevelName:
                          type: string
                          description: The name of the job level
                        jobPositionDescription:
                          type: string
                          description: The description of the job position
                        maxLegalWeeklyHours:
                          type: integer
                          description: The quantity of the max legal weekly hours
                        maxLegalAnnualHours:
                          type: integer
                          description: The quantity of the max legal annual hours
                        fte:
                          type: number
                          description: The quantity of the fte
                        workDays:
                          type: array
                          items:
                            type: object
                            properties:
                              day:
                                type: string
                                example: monday
                              hours:
                                type: number
                                example: 8
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````